import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/wallets/offramp.ts
function createOfframpWalletsResource(instanceId, client) {
  return {
    list({
      bank_account_id,
      receiver_id
    }) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/bank-accounts/${bank_account_id}/offramp-wallets`
      );
    },
    create(_a) {
      var _b = _a, {
        receiver_id,
        bank_account_id
      } = _b, data = __objRest(_b, [
        "receiver_id",
        "bank_account_id"
      ]);
      return client.post(
        `/instances/${instanceId}/receivers/${receiver_id}/bank-accounts/${bank_account_id}/offramp-wallets`,
        data
      );
    },
    get({
      receiver_id,
      bank_account_id,
      id
    }) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/bank-accounts/${bank_account_id}/offramp-wallets/${id}`
      );
    }
  };
}
var init_offramp = __esm({
  "src/resources/wallets/offramp.ts"() {
  }
});

export {
  createOfframpWalletsResource,
  init_offramp
};
